Alertas

Vulnerabilidades en la librería Apache Log4j que afectan a productos Cisco (Diciembre 2021)

Durante el mes de diciembre, varios productos de Cisco se han encontrado afectados por la vulnerabilidad Log4j. Desde el 10 de diciembre hasta el 7 de enero, Cisco ha identificado las siguientes 2 vulnerabilidades críticas. [1]
10 Jan 2022
2 Minutos de lectura

ANÁLISIS

Las vulnerabilidades son las siguientes:

CVE-2021-44228

El 9 de diciembre se he encontró una vulnerabilidad que afectaba a la librería de Apache log4j2. Esta vulnerabilidad permite a un atacante acceder al Lightweight Directory Access Protocol (LDAP) y otros endpoints relacionados con la API de Java (JNDI). [2]

Esta vulnerabilidad tiene una puntuación CVSS 3 de 10 por lo que es considerada de una prioridad crítica. [3]    

CVE-2021-45046

El 14 de diciembre se he encontró una vulnerabilidad que afectaba a la librería de Apache log4j2. Este ataque hacía al patrón de mensaje de subproceso y al patrón de búsquedas, vulnerable a una denegación de servicio. [2]

Esta vulnerabilidad tiene una puntuación CVSS 3 de 9 por lo que es considerada de una prioridad crítica. [4]

Productos Afectados:

    Cisco Webex Meetings Server
    Cisco CX Cloud Agent Software
    Cisco Call Studio
    Cisco Nexus Insights
    Cisco Firepower Threat Defense (FTD) managed by Firepower Device Manager (FDM)
    Cisco Identity Services Engine (ISE)
    Cisco Application Policy Infrastructure Controller (APIC) - Network Insights Base Appwa50116
    Cisco Automated Subsea Tuningwa48806
    Cisco Business Process Automationwa47269
    Cisco CloudCenter Cost Optimizer
    Cisco CloudCenter Suite Admin
    Cisco CloudCenter Workload Manager
    Cisco CloudCenter
    Cisco Common Services Platform Collector (CSPC)
    Cisco Crosswork Data Gateway
    Cisco Crosswork Network Controller
    Cisco Crosswork Optimization Engine
    Cisco Crosswork Platform Infrastructure
    Cisco Crosswork Situation Manager
    Cisco Crosswork Zero Touch Provisioning (ZTP)
    Cisco Cyber Vision Sensor Management Extension
    Cisco DNA Spaces Connector
    Cisco Data Center Network Manager (DCNM)
    Cisco Evolved Programmable Network Manager
    Cisco Intersight Virtual Appliance
    Cisco Network Services Orchestrator (NSO)
    Cisco Nexus Dashboard, formerly Cisco Application Services Engine
    Cisco Prime Service Catalog
    Cisco Secure Agile Exchange (SAE) Core Function Pack
    Cisco Smart PHY
    Cisco Virtual Topology System (VTS)
    Cisco Virtualized Infrastructure Manager
    Cisco WAN Automation Engine (WAE)
    Cisco DNA Center
    Cisco IOx Fog Director
    Cisco Network Assurance Engine
    Cisco Network Convergence System 1004
    Cisco Optical Network Controller
    Cisco SD-WAN vManage
    Cisco Integrated Management Controller (IMC) Supervisor
    Cisco UCS Central Softwa

RECOMENDACIONES

Cisco ha resuelto estas vulnerabilidades en los siguientes parches: CSCwa47310 [5], CSCwa54650 [6] y CSCwa56230 [7]. Se recomienda actualizar a estas versiones en función del producto afectado.

Además, Cisco también ha puesto a disposición de sus usuarios unas reglas NIDS de Snort para poder detectar estas vulnerabilidades en sus productos. [8]


REFERENCIAS
[1] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd
[2] https://logging.apache.org/log4j/2.x/security.html
[3] https://nvd.nist.gov/vuln/detail/CVE-2021-44228
[4] https://nvd.nist.gov/vuln/detail/CVE-2021-45046
[5] https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwa47310
[6] https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwa54650
[7] https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwa56230
[8] https://www.snort.org/advisories/talos-rules-2021-12-21
60 visitas